@import (reference) '../Board.variables.import.less';

#project-board .phasesDisplay {

  .panels {
    display: flex;
    flex-direction: row;

    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;

    .panels-container {
      display: flex;
      flex-grow: 1;
    }

    .panel {
      position: relative;
      display: flex;
      flex-direction: column;
      flex: 1 1 250px;
      min-width: 250px;

      @media (max-width: @mobileBreakpoint) {
        width: 100vw;
      }

      @media (max-width: @tabletBreakpoint) {
        width: 50vw;
      }

      &:not(:last-child) {
        .panel-header {
          border-right: 1px solid rgba(0, 0, 0, 0.25);
        }
        .panelScroller, .empty {
          border-right: 1px solid rgba(0, 0, 0, 0.15);
        }
      }

      &.empty {
        align-items: center;
        justify-content: center;
        background-color: @grey;
        font-size: 1.5rem;
        color: @white;
        padding: 2em;
        text-align: center;
        line-height: 2rem;
      }

      .panel-header {
        .actions {
          display: flex;
          flex-direction: row;
          height: 100%;
          .action {
            cursor: pointer;
            padding: 0 1rem;
            height: 100%;
            display: flex;
            flex: 1 1 auto;
            align-items: center;
            justify-content: center;
            transition: background-color 250ms;
            > .icon {
              margin: 0;
            }
            &:hover {
              background-color: fade(@black, 15%);
            }
          }
        }
      }

      .panel-header {
        display: flex;
        align-items: center;
        height: @panelHeaderHeight;
        background-color: @black;
        color: @white;
        text-shadow: rgba(0, 0, 0, 0.15) 1px 1px 0;
        .panel-name {
          flex-grow: 1;
          line-height: 1.25em;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          padding: 0 1rem;
        }
        .actions {
          align-items: flex-end;
        }
      }

      .panel-info {
        display: flex;
        flex-direction: column;
        //height: @panelFooterHeight;
        padding: 0.25em;
        color: @lightColorInverted;
        background-color: @black;
        border-top: 2px solid;

        .messages {
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          font-size: 0.85em;
        }
      }

      .panelScroller {
        background-color: @panelBackgroundColor;
        position: relative;
        flex-grow: 1;
        transition: background-color 0.25s;

        .scroller {
          position: absolute;
          left: 0;
          right: 0;
          top: 0;
          bottom: 0;
          overflow-x: hidden;
          overflow-y: auto;
          -webkit-overflow-scrolling: touch;
          // > div is the CSSTransitionGroup
          .scrollableContainer > div {
            padding: 1rem;
          }
        }

      }
    }
  }

}
